<?php
/**
 * Createing an about us pannel for customizer
 */
 
// START ABOUT SECTION 
    $wp_customize->add_section(
        'lz_fitness_premium_aboutconstruction_section',
        array(
            'title' => __( 'About Us Section', 'lz-fitness-premium' ),
            'panel' => 'lz_fitness_premium_home_panel'
        )
    );
    // ENABLE/DISABLE FEATURED SECTION
    $wp_customize->add_setting(
        'lz_fitness_premium_aboutconstruction_section_disable',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Switch_Control(
            $wp_customize,
            'lz_fitness_premium_aboutconstruction_section_disable',
            array(
                'settings'      => 'lz_fitness_premium_aboutconstruction_section_disable',
                'section'       => 'lz_fitness_premium_aboutconstruction_section',
                'label'         => __( 'Disable Section', 'lz-fitness-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'lz-fitness-premium' ),
                    'off' => __( 'No', 'lz-fitness-premium' )
                ),
            )
        )
    );

backgroundManager($wp_customize, 'aboutconstruction', 'lz_fitness_premium_aboutconstruction_section', $color='#ffffff');

    $wp_customize->add_setting(
        'lz_fitness_aboutconstruction_title_heading',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'lz_fitness_aboutconstruction_title_heading',
            array(
                'settings'      => 'lz_fitness_aboutconstruction_title_heading',
                'section'       => 'lz_fitness_premium_aboutconstruction_section',
                'label'         => __( 'About Us Title, Subtitle & Text', 'lz-fitness-premium' ),
            )
        )
    );    
    $wp_customize->add_setting(
        'lz_fitness_aboutconstruction_title',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( 'About Us', 'lz-fitness-premium' )
        )
    );
    $wp_customize->add_control(
        'lz_fitness_aboutconstruction_title',
        array(
            'settings'      => 'lz_fitness_aboutconstruction_title',
            'section'       => 'lz_fitness_premium_aboutconstruction_section',
            'type'          => 'text',
            'label'         => __( 'Title for section', 'lz-fitness-premium' )
        )
    );

addColorPalatOption($wp_customize, 'lz_fitness_aboutconstruction_HeadingColor', 'lz_fitness_premium_aboutconstruction_section', 'Section Title color', '#282828');


addColorPalatOption($wp_customize, 'lz_fitness_aboutconstruction_HeadingsmallColor', 'lz_fitness_premium_aboutconstruction_section', 'Section Title small color', '#282828');

addColorPalatOption($wp_customize, 'lz_fitness_aboutconstruction_abtitleIconColor', 'lz_fitness_premium_aboutconstruction_section', 'Section Title Icon color', '#898989');

addColorPalatOption($wp_customize, 'lz_fitness_aboutconstruction_abtitleIconBordColor', 'lz_fitness_premium_aboutconstruction_section', 'Section Title Icon Border color', '#898989');


  

   
$wp_customize->add_setting(
        'lz_fitness_aboutconstructionmaintitle_title',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( 'Looking for something very special', 'lz-fitness-premium' )
        )
    );
    $wp_customize->add_control(
        'lz_fitness_aboutconstructionmaintitle_title',
        array(
            'settings'      => 'lz_fitness_aboutconstructionmaintitle_title',
            'section'       => 'lz_fitness_premium_aboutconstruction_section',
            'type'          => 'textarea',
            'label'         => __( 'Text', 'lz-fitness-premium' )
        )
    );
addColorPalatOption($wp_customize, 'lz_fitness_aboutconstruction_textColor', 'lz_fitness_premium_aboutconstruction_section', 'Text color', '#000');    
$wp_customize->add_setting(
        'lz_fitness_aboutconstruction_subheading',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( 'There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which dont look even slightly believable. If you are going to use a passage of Lorem Ipsum, you need to be sure there isnt anything embarrassing hidden in the middle of text. All the Lorem Ipsum generators on the Internet tend to repeat predefined chunks as necessary, making this the first true generator on the Internet.', 'lz-fitness-premium' )
        )
    );
    $wp_customize->add_control(
        'lz_fitness_aboutconstruction_subheading',
        array(
            'settings'      => 'lz_fitness_aboutconstruction_subheading',
            'section'       => 'lz_fitness_premium_aboutconstruction_section',
            'type'          => 'textarea',
            'label'         => __( 'Sub Text', 'lz-fitness-premium' )
        )
    );
addColorPalatOption($wp_customize, 'lz_fitness_aboutconstruction_subtextColor', 'lz_fitness_premium_aboutconstruction_section', 'Sub Text color', '#323232');    

$wp_customize->add_setting(
        'lz_fitness_aboutconstruction_text',
        array(
            'sanitize_callback'=>'lz_fitness_sanitize_text',
            'default'=> __('It uses a dictionary of over 200 Latin words, combined with a handful of model sentence structures, to generate Lorem Ipsum which looks reasonable. The generated Lorem Ipsum is therefore always free from repetition, injected humour, or non-characteristic words etc. Lorem Ipsum is simply dummy text of the printing and tysetting industry. Lorem Ipsum has been the industry’s standard ')
        )
    );
    $wp_customize->add_control(
        'lz_fitness_aboutconstruction_text',
        array(
            'settings' =>'lz_fitness_aboutconstruction_text',
            'section' => 'lz_fitness_premium_aboutconstruction_section',
            'type'=> 'textarea',
            'label'=> __('Content for the section', 'lz-fitness-premium')
        )
    );
addColorPalatOption($wp_customize, 'lz_fitness_aboutconstruction_contentColor', 'lz_fitness_premium_aboutconstruction_section', 'Content color', '#323232');    

//Left Image

$wp_customize->add_setting(
        'lz_fitness_aboutconstruction_image_heading',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'lz_fitness_aboutconstruction_image_heading',
            array(
                'settings'      => 'lz_fitness_aboutconstruction_image_heading',
                'section'       => 'lz_fitness_premium_aboutconstruction_section',
                'label'         => __( 'Left Image', 'lz-fitness-premium' ),
            )
        )
    );
    $wp_customize->add_setting(
        'lz_fitness_aboutconstruction_image',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'lz_fitness_aboutconstruction_image',
            array(
                'section' => 'lz_fitness_premium_aboutconstruction_section',
                'settings' => 'lz_fitness_aboutconstruction_image',
                'description' => __('Recommended Image Size: 649X687px', 'lz-fitness-premium')
            )
        )
    );

addColorPalatOption($wp_customize, 'lz_fitness_aboutconstruction_ImagehoverBorder', 'lz_fitness_premium_aboutconstruction_section', 'Image hover Border', '#fff');  

//Days
$wp_customize->add_setting(
        'Ddtitle',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( '24', 'lz-fitness-premium' )
        )
    );
    $wp_customize->add_control(
        'Ddtitle',
        array(
            'settings'      => 'Ddtitle',
            'section'       => 'lz_fitness_premium_aboutconstruction_section',
            'type'          => 'text',
            'label'         => __( 'Day in number', 'lz-fitness-premium' )
        )
    );
 //
 $wp_customize->add_setting(
        'daydtitletext',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( 'DAYS', 'lz-fitness-premium' )
        )
    );
    $wp_customize->add_control(
        'daydtitletext',
        array(
            'settings'      => 'daydtitletext',
            'section'       => 'lz_fitness_premium_aboutconstruction_section',
            'type'          => 'text',
            'label'         => __( 'Title Days', 'lz-fitness-premium' )
        )
    );


// HOURS 
     $wp_customize->add_setting(
        'Mdtitle',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( '09', 'lz-fitness-premium' )
        )
    );
    $wp_customize->add_control(
        'Mdtitle',
        array(
            'settings'      => 'Mdtitle',
            'section'       => 'lz_fitness_premium_aboutconstruction_section',
            'type'          => 'text',
            'label'         => __( 'Hours in number', 'lz-fitness-premium' )
        )
    );


     $wp_customize->add_setting(
        'hotitle',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( 'HOURS', 'lz-fitness-premium' )
        )
    );
    $wp_customize->add_control(
        'hotitle',
        array(
            'settings'      => 'hotitle',
            'section'       => 'lz_fitness_premium_aboutconstruction_section',
            'type'          => 'text',
            'label'         => __( 'Title Hours', 'lz-fitness-premium' )
        )
    );

//MINUTES 
    $wp_customize->add_setting(
        'minutesN',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( '49', 'lz-fitness-premium' )
        )
    );
    $wp_customize->add_control(
        'minutesN',
        array(
            'settings'      => 'minutesN',
            'section'       => 'lz_fitness_premium_aboutconstruction_section',
            'type'          => 'text',
            'label'         => __( 'Minutes in number', 'lz-fitness-premium' )
        )
    );


    $wp_customize->add_setting(
        'minutesTit',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( 'MINUTES', 'lz-fitness-premium' )
        )
    );
    $wp_customize->add_control(
        'minutesTit',
        array(
            'settings'      => 'minutesTit',
            'section'       => 'lz_fitness_premium_aboutconstruction_section',
            'type'          => 'text',
            'label'         => __( 'Title Minutes', 'lz-fitness-premium' )
        )
    );

// SECONDS

       $wp_customize->add_setting(
        'SecondsN',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( '16', 'lz-fitness-premium' )
        )
    );
    $wp_customize->add_control(
        'SecondsN',
        array(
            'settings'      => 'SecondsN',
            'section'       => 'lz_fitness_premium_aboutconstruction_section',
            'type'          => 'text',
            'label'         => __( 'Seconds in number', 'lz-fitness-premium' )
        )
    );

        $wp_customize->add_setting(
        'SecondsTit',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( 'SECONDS', 'lz-fitness-premium' )
        )
    );
    $wp_customize->add_control(
        'SecondsTit',
        array(
            'settings'      => 'SecondsTit',
            'section'       => 'lz_fitness_premium_aboutconstruction_section',
            'type'          => 'text',
            'label'         => __( 'Title Seconds', 'lz-fitness-premium' )
        )
    );


addColorPalatOption($wp_customize, 'lz_fitness_aboutconstruction_boxBGColor', 'lz_fitness_premium_aboutconstruction_section', 'Time box background Color', '#ff7101');

addColorPalatOption($wp_customize, 'lz_fitness_aboutconstruction_boxhovBGColor', 'lz_fitness_premium_aboutconstruction_section', 'Time box hover background Color', '#333');

addColorPalatOption($wp_customize, 'lz_fitness_aboutconstruction_contentHighlightColor', 'lz_fitness_premium_aboutconstruction_section', 'Highlight Text Color', '#ffffff');

addColorPalatOption($wp_customize, 'lz_fitness_aboutconstruction_contentTNColor', 'lz_fitness_premium_aboutconstruction_section', 'Text Color', '#ffffff');
